Spigot LightAPI 3.2.9

Bukkit library for create invisible light source

  1. P.S:
    Server Version: CraftBukkit 1.8.8
    Client Version: Vanilla 1.8.8
     
  2. SlimeDog

    Patron

    This plugin generates a startup error in MC/Spigot 1.9.
     
  3. Update please:
    Code (Text):
    > [19:12:55 INFO]: [LightAPI] Enabling LightAPI v1.4.2
    > [19:12:55 WARN]: java.lang.ClassNotFoundException: ru.BeYkeRYkt.LightAPI.nms.CraftBukkit.v1_9_R1.NMSHandler
    > [19:12:55 WARN]: at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
    > [19:12:55 WARN]: at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101)
    > [19:12:55 WARN]: at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86)
    > [19:12:55 WARN]: at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
    > [19:12:55 WARN]: at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
    > [19:12:55 WARN]: at java.lang.Class.forName0(Native Method)
    > [19:12:55 WARN]: at java.lang.Class.forName(Class.java:264)
    > [19:12:55 WARN]: at ru.BeYkeRYkt.LightAPI.LightAPI.reloadInitHandler(LightAPI.java:124)
    > [19:12:55 WARN]: at ru.BeYkeRYkt.LightAPI.LightAPI.onEnable(LightAPI.java:51)
    > [19:12:55 WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:291)
    > [19:12:55 WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340)
    > [19:12:55 WARN]: at com.massivecraft.massivelag.inject.event.MassiveLagPluginLoader.enablePlugin(MassiveLagPluginLoader.java:216)
    > [19:12:55 WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405)
    > [19:12:55 WARN]: at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugin(CraftServer.java:361)
    > [19:12:55 WARN]: at org.bukkit.craftbukkit.v1_9_R1.CraftServer.enablePlugins(CraftServer.java:321)
    > [19:12:55 WARN]: at net.minecraft.server.v1_9_R1.MinecraftServer.t(MinecraftServer.java:411)
    > [19:12:55 WARN]: at net.minecraft.server.v1_9_R1.MinecraftServer.l(MinecraftServer.java:376)
    > [19:12:55 WARN]: at net.minecraft.server.v1_9_R1.MinecraftServer.a(MinecraftServer.java:331)
    > [19:12:55 WARN]: at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:269)
    > [19:12:55 WARN]: at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:527)
    > [19:12:55 WARN]: at java.lang.Thread.run(Thread.java:745)
    > [19:12:55 INFO]: <LightAPI>: Could not find support for this git-Spigot-dd155ed-3e3516e (MC: 1.9) version.
     
  4. SlimeDog

    Patron

    and 1.9 support ;)
     
    • Like Like x 2
  5. add 1.9 support ASAP
     
  6. SlimeDog

    Patron

    EvilSpawn has been away for six months. LightAPI is open source (MIT license). Perhaps it's time for someone else to take it on. Perhaps the author of one of the plugins that requires it as a dependency.
     
    • Agree Agree x 1
    • Optimistic Optimistic x 1
  7. LightAPI-2.0.0-experimentalDev
    CAUTION! This version is experimental! Needed additional tests with a large number of players. The main folder has been renamed and will need to rewrite plugins using the API.

    Major changes:

    - Renamed the main folder
    - Major changes in the API (Again)
    - Removed support for 1.7 (except 1.7.10)
    - Added support for 1.9
    - Added asynchronous calculation of light (no idea why)
    - Added config
    - Removed Herobrine

    THIS IS NOT A FINAL VERSION! FOR RELEASE IS NECESSARY TO CARRY OUT TESTS!

    Download (dropbox)
    Source Code
    Example gist for 2.0.0
     
    #30 EvilSpawn, Mar 19, 2016
    Last edited: Mar 19, 2016
    • Like Like x 2
  8. SlimeDog

    Patron

    Thanks for bringing this forward. I'll try to encourage ShinyItems to upgrade. It's a good test.
     
  9. PaperSpigot 1.9 is not supported, please add
     
  10. EvilSpawn updated LightAPI with a new update entry:

    2.0.1

    Read the rest of this update entry...
     
  11. Very nice api, not laggy and efficient
     
  12. Hey, i get an error while enabling the plugin: <LightAPI>: Could not find support for this Bukkit implementation.
    I'm using craftbukkit 1.9
     
  13. Seems not working anymore with the newest LightAPI.... :'(

    http://pastebin.com/Djz8MarH

    Running git-Spigot-db6de12-18fbb24 (MC: 1.8.8)
    before updating lightapi it did not give any errors, just worked like a charm.
     
  14. Update to 1.9.4 please
     
    • Agree Agree x 3
  15. Doesn't seem to be loading on Spigot 1.9.4. Anyone have a working fork?
     
    • Agree Agree x 2
    • Agree Agree x 1